fn main() {
    // ANCHOR: here
    let f: Box<dyn Fn() + Send + 'static> = Box::new(|| println!("cześć"));

    fn takes_long_type(f: Box<dyn Fn() + Send + 'static>) {
        // --fragment pominięty--
    }

    fn returns_long_type() -> Box<dyn Fn() + Send + 'static> {
        // --fragment pominięty--
        // ANCHOR_END: here
        Box::new(|| ())
        // ANCHOR: here
    }
    // ANCHOR_END: here
}
